
use "historical.dta", clear

xtset st year

* Figure C.1

quietly anova turnout treatment2state##year
margins year#treatment2state if year>=1990 & year<=2013
marginsplot, plot1opts(lpattern(dash))   noci title("A. Extended dataset", position(12)) ylabel("") ytitle(Turnout) ylabel(0(0.1)1) ///
xlabel(1990(3)2011 2013) legend(order( 1 "Control" 2 "Treatment"))
 
quietly anova turnout treatment2state##year if panelstate==1
margins year#treatment2state if year>=1990 & year<=2013 & panelstate==1
marginsplot, plot1opts(lpattern(dash))   noci title("B. Panel dataset", position(12)) ylabel("") ytitle(Turnout) ylabel(0(0.1)1) ///
xlabel(1990(3)2011 2013) legend(order( 1 "Control" 2 "Treatment"))

* Table C.3

table eleperiod treatment2state if ltotel!=., c(mean year)

* Figure 2

tabulate eleperiod, gen(elep)
tabulate eleperiod, gen(telep)
forvalues i=1/10 {
replace elep`i'=0 if treatment2state==1
replace telep`i'=0 if treatment2state==0
}
label var elep2 "-8"
label var elep3 "-7"
label var elep4 "-6"
label var elep5 "-5"
label var elep6 "-4"
label var elep7 "-3"
label var elep8 "-2"
label var elep9 "-1"
label var elep10 "0"
label var telep2 "-8"
label var telep3 "-7"
label var telep4 "-6"
label var telep5 "-5"
label var telep6 "-4"
label var telep7 "-3"
label var telep8 "-2"
label var telep9 "-1"
label var telep10 "0"

xtreg turnout elep2-elep10 elep1 telep2-telep10 ltotel i.year, fe
estimates store control

rename elep# z# // switch elep and telep variable names so can be displayed on the same graph
rename telep# elep#
rename z# telep#
xtreg turnout elep2-elep10 elep1 telep2-telep10 ltotel i.year, fe
estimates store treated

coefplot (control, keep(elep2 elep3 elep4 elep5 elep6 elep7 elep8 elep9 elep10)) ///
	(treated, keep(elep2 elep3 elep4 elep5 elep6 elep7 elep8 elep9 elep10)) ///
	, vertical format(%9.3f) nooff noci recast(connected) xtitle(election, height(5)) 
